Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class DirectHtml

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.DirectHtml

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

    public class DirectHtml

extends Component

`DirectHtml` is a very lightweight component that will insert HTML text directly onto the client. Unlike TemplatePanel, this component will NOT validate this HTML text nor will it parse the source HTML and perform component or text substiutions.

This makes it more lightweight than TemplatePanel but far less functional

NOTE : The base `nextapp.echo2.app.Component` properties such as background, foreground and font are NOT applied to this component. You must implement this in the HTML text itself.

Also be careful of your use of id attributes as they may clash with Echo2 generated ones.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_TEXT`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`DirectHtml()` Constructs a `DirectHtml`
`DirectHtml(java.lang.String htmlText)` Constructs a `DirectHtml` using the given htmlText.

Method Summary
`java.lang.String` | `getText()` Returns the HTML text to be sent down to the client browser
`void` | `setText(java.lang.String newValue)` Sets the HTML text to be sent down to the client browser

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TEXT

    public static final java.lang.String PROPERTY_TEXT

See Also:
  Constant Field Values

Constructor Detail

### DirectHtml

    public DirectHtml()

  Constructs a `DirectHtml`

### DirectHtml

    public DirectHtml(java.lang.String htmlText)

  Constructs a `DirectHtml` using the given htmlText.

  Parameters:
    `htmlText` - - the HTML to use

Method Detail

### getText

    public java.lang.String getText()

  Returns the HTML text to be sent down to the client browser

  Returns:
    the HTML text to be sent down to the client browser

### setText

    public void setText(java.lang.String newValue)

  Sets the HTML text to be sent down to the client browser

  Parameters:
    `newValue` - - the HTML text to be sent down to the client browser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD